<?php
/**
* The template for displaying comments
*
* The area of the page that contains both current comments
* and the comment form.
*
* @package WordPress
* @subpackage gutenblog
* @since gutenblog 
*/

/*
* If the current post is protected by a password and
* the visitor has not yet entered the password we will
* return early without loading the comments.
*/          
                 
                             
    if ( post_password_required() ) {
        return;
    }
    ?>
     
  <div class="postResponse u-whiteBg u-shadow-0x0x5--05 u-marginTop50">
        <?php
          comment_form();
        ?>
    </div>

<?php if ( have_comments() ) : ?>
   <div class="commentsArea u-shadow-0x0x5--05 u-whiteBg u-marginTop50">
      <div class="comments__Wrapper">    
              <h4 class="comments__Title text-center u-margin0">
                  <?php
                            $comments_number = get_comments_number();
                            if ( 1 === $comments_number ) {
                                /* translators: %s: post title */
                                printf( esc_html__( 'One thought on &ldquo;%s&rdquo;','gutenblog' ), get_the_title() );
                            } else {                    
                                printf(
                                    esc_html(
                                        /* translators: 1: number of comments, 2: post title */
                                        _nx( 
                                            '%1$s thought on &ldquo;%2$s&rdquo;',
                                            '%1$s thoughts on &ldquo;%2$s&rdquo;',
                                            $comments_number,
                                            'comments title',
                                            'gutenblog'
                                        )
                                    ),
                                    esc_html (number_format_i18n( $comments_number ) ),
                                    get_the_title()
                                );
                            }
                        ?>
              </h4>

             <?php the_comments_navigation(); ?>

             <ul>
                  <?php
                       wp_list_comments( array(
                           'style'       => 'ol',
                           'short_ping'  => true,
                           'avatar_size' => 42,
                      ) );
                  ?>
              </ul>

              <?php the_comments_navigation(); ?>

          

          <?php
             if ( ! comments_open() && get_comments_number() && post_type_supports( get_post_type(), 'gutenblog' ) ) :
              ?>
               <p class="no-comments"><?php esc_html__( 'Comments are closed.', 'gutenblog' ); ?></p> 
              <?php endif; ?>
           </div>
           </div>
<?php endif; ?>